/********************************************************************************/
/*                                                                              */
/*              bounce_context.H                                                */
/*                                                                              */
/*      Bouncing Balls Demo drawing context header file                         */
/*                                                                              */
/********************************************************************************/


#ifndef BOUNCE_CONTEXT_ALREADY_INCLUDED
#define BOUNCE_CONTEXT_ALREADY_INCLUDED


#include "bounce_local.H"



/********************************************************************************/
/*                                                                              */
/*      BounceDrawContextInfo -- context for drawing                            */
/*                                                                              */
/********************************************************************************/


class BounceDrawContextInfo {

private:
   BaumWidget draw_widget;
   BaumWindow draw_window;
   BaumColor color_table[BOUNCE_NUM_COLOR];
   BaumColor line_color;
   BaumGC draw_gc;

   BounceLine line_style;
   BounceColor cur_color;
   BounceShape cur_shape;

public:
   BounceDrawContextInfo();
   ~BounceDrawContextInfo();

   void setupWindow(BaumWidget);

   void clear();

   void setLineStyle(BounceLine);
   void setColor(BounceColor);
   void setShape(BounceShape);

   void draw(Integer x,Integer y,Integer r);

private:
   void setupColors(BaumWidget);

   void drawCircle(Integer,Integer,Integer,Integer);
   void drawDiamond(Integer,Integer,Integer,Integer);
   void drawSquare(Integer,Integer,Integer,Integer);
};



#endif


/* end of bounce_context.H */
