/********************************************************************************/
/*                                                                              */
/*              bounce_view.H                                                   */
/*                                                                              */
/*      Bouncing Balls Demo view window header file                             */
/*                                                                              */
/********************************************************************************/


#ifndef BOUNCE_VIEW_ALREADY_INCLUDED
#define BOUNCE_VIEW_ALREADY_INCLUDED


#include "bounce_local.H"



/********************************************************************************/
/*                                                                              */
/*      BounceViewInfo -- drawing area information                              */
/*                                                                              */
/********************************************************************************/


class BounceViewInfo : public BaumCallbackInfo {

private:
   BaumDrawingAreaWidget the_window;
   BounceManager the_manager;
   BounceDrawContext draw_context;
   Integer x_size;
   Integer y_size;

public:
   BounceViewInfo(BounceManager);
   ~BounceViewInfo();

   void setup(BaumDrawingAreaWidget);

   void nextFrame();

private:
   void eventCallback(int,XEvent *);
   void decodeInput(XEvent *);

   void handleExpose();
   void handleResize();
   void handleLeftButton();
   void handleMiddleButton();
   void handleRightButton();
   void handleKey(KeySym key);

private:
   void getSize();
   void redraw();
};




#endif


/* end of bounce_view.H */

