/********************************************************************************/
/*                                                                              */
/*              bounce_window.H                                                 */
/*                                                                              */
/*      Bouncing Balls Demo root window header file                             */
/*                                                                              */
/********************************************************************************/


#ifndef BOUNCE_WINDOW_ALREADY_INCLUDED
#define BOUNCE_WINDOW_ALREADY_INCLUDED


#include "bounce_local.H"



/********************************************************************************/
/*                                                                              */
/*      BounceWindowInfo -- top level window                                    */
/*                                                                              */
/********************************************************************************/


class BounceWindowInfo : public BaumCallbackInfo {

private:
   BaumDisplay the_display;
   BaumApplicationShellWidget app_shell;
   BaumMainWindowWidget main_window;
   BaumPdmWidget pdm_widget;
   BaumDrawingAreaWidget drawing_area;

   BounceManager the_manager;
   BounceView draw_control;

   BaumInputId anim_id;

   BounceNumberDialog number_dialog;
   BounceVelocityDialog velocity_dialog;
   BouncePropertyDialog property_dialog;
   BounceAboutDialog about_dialog;
   BounceSaveFileDialog save_dialog;
   BounceLoadFileDialog load_dialog;

public:
   BounceWindowInfo();
   ~BounceWindowInfo();

   void setup(BaumDisplay);

private:
   void timeoutCallback(BaumInputId);
   void pdmCallback(BaumPdmItem);

   void handleAbout();
   void handleOpen();
   void handleSave();
   void handleSaveAs();
   void handleQuit();
   void handleGo();
   void handlePause();
   void handleRestart();
   void handleSetNumber();
   void handleSetSpeed();
   void handleSetProperties();
};




#endif


/* end of bounce_window.H */
