/********************************************************************************/
/*                                                                              */
/*              bounceapp.cxx                                                   */
/*                                                                              */
/*      Application management methods for bouncing balls demo program          */
/*                                                                              */
/********************************************************************************/


#include "bounce_local.H"
#include "bounce_app.H"
#include "bounce_window.H"



/********************************************************************************/
/*                                                                              */
/*      BounceAppInfo constructors/destructors                                  */
/*                                                                              */
/********************************************************************************/


BounceAppInfo::BounceAppInfo()
{
   draw_window = NULL;
}




BounceAppInfo::~BounceAppInfo()
{
   delete draw_window;
}



/********************************************************************************/
/*                                                                              */
/*      BounceAppInfo setup methods                                             */
/*                                                                              */
/********************************************************************************/


void
BounceAppInfo::setup(Integer argc,ConstText * argv)
{
   the_display.open(argc,argv);

   draw_window = new BounceWindowInfo;
}



/********************************************************************************/
/*                                                                              */
/*      BounceAppInfo processing methods                                        */
/*                                                                              */
/********************************************************************************/


void
BounceAppInfo::process()
{
   draw_window->setup(the_display);

   the_display.mainLoop();
}



/* end of bounceapp.cxx */
